<template>
  <div class="side-menu"> <span class="side-menu-btn"><img src="/front-end/images/sidebar-menu.svg" alt="" /></span>
    <ul class="sidebar-menu">
      <li v-for="(category, i) in category_options"
        :class="(category.child_categories.filter(xy => xy.link_rewrite == current_slug).length > 0 || category.link_rewrite==$route.params.parent_category) ? 'active_item' : ''"><a
          href="#" style="pointer-events: none;"><img :src="'/front-end/images/menu-icon'+(i+1)+'.svg'" alt="" />{{ category.name }}</a>
        <ul v-if="category.child_categories.length > 0">
          <li v-for="(child, x) in category.child_categories" :key="x" :id="child.link_rewrite">
            <a :href="`/${location}/${category.link_rewrite}/${child.link_rewrite}`">
              <div class="sidemenu-category-image"><img v-if="child.file_upload.length > 0"
                  :alt="(child.file_upload[0]['alt_text'] != null && child.file_upload[0]['alt_text'] != '') ? child.file_upload[0]['alt_text'] : child['name']"
                  :title="(child.file_upload[0]['title'] != null && child.file_upload[0]['title'] != '') ? child.file_upload[0]['title'] : child.name"
                  :src="`${options.storage_root}/${child.file_upload[0]['upload']['uploaded_path']}`" /></div>
              <div class="sidemenu-category-name">{{ child.name }}</div>
            </a>
          </li>
        </ul>
      </li>
    </ul>
  </div>
</template>
<script>
import options from '~/assets/options.js';
export default {
  components: {
    ProductSearch: () => import('./product-search.vue'),
  },
  data() {
    return {
      category_options: this.$store.state.front_end_data.category_options,
      location: this.$store.state.front_end_data.location_name,
      options: options,
      categories: this.$store.state.front_end_data.category_options,
      search: "",
      product_options: [],
      loading: false,
      product: null,
      contact_phone: this.$store.state.front_end_data.contact_phone,
      cart_count: (this.$store.state.front_end_data.cart_count!=null) ? this.$store.state.front_end_data.cart_count.count : 0,
      current_slug: this.$route.params.child_or_product
    }
  },
  created() {
  },
  mounted() {
    this.$store.watch(() => this.$store.state.front_end_data, async () => {
      this.cart_count = (this.$store.state.front_end_data.cart_count!=null) ? this.$store.state.front_end_data.cart_count.count : 0;
      this.location_name = this.$store.state.front_end_data.location_name;
    });
    let self = this;
    setTimeout(function () {
      $(`#${self.$route.params.child_or_product}`).parents("li").addClass("active_item");
    }, 1000);
  },
  methods: {
    checkActiveItem(path) {
      let current_path = this.$route.path;
      if (current_path.includes(path)) {
        return 'active_item';
      }
      else {
        return "";
      }
    },
  }
}
</script>